Bug 1311128 - few directories are not removed from /var/lib/glusterd/ after yum remove glusterfs* on RHEL 6 and 7 based RHGS 3.1.2 ISO
few directories are not removed from /var/lib/glusterd/ after yum remove glus...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
3.1
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bug Updates Notification Mailing List
storage-qa-internal@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-23 08:03 EST by Shashank Raj
Modified: 2016-11-07 22:53 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 11:38:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL6_logs (34.69 KB, text/plain)
2016-02-23 08:03 EST, Shashank Raj
no flags Details
RHEL7_logs (139.91 KB, text/plain)
2016-02-23 08:04 EST, Shashank Raj
no flags Details

  None (edit)
Description Shashank Raj 2016-02-23 08:03:14 EST
Created attachment 1129755 [details]
RHEL6_logs

Description of problem:
few directories are not removed from /var/lib/glusterd/ after yum remove glusterfs* on RHEL 6 and 7 based RHGS 3.1.2 ISO

Version-Release number of selected component (if applicable):
glusterfs-3.7.5-19

How reproducible:
Once

Steps to Reproduce:
1. Install RHGS 3.1.2 RHEL 6 and RHEL 7 based ISO
2. After the installation, do a yum remove glusterfs* on both the installed RHGS

on RHEL 6 based 3.1.2 ISO

[root@dhcp35-17 ~]# yum remove glusterfs*
Loaded plugins: aliases, changelog, product-id, security, subscription-manager, tmprepo, verify, versionlock
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Setting up Remove Process
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.7.5-19.el6rhs will be erased
--> Processing Dependency: glusterfs >= 3.4.0.16 for package: samba-vfs-glusterfs-4.2.4-13.el6rhs.x86_64
--> Processing Dependency: glusterfs >= 3.7.1 for package: vdsm-4.16.30-1.3.el6rhs.x86_64
--> Processing Dependency: glusterfs >= 3.7.1 for package: redhat-storage-server-3.1.2.0-1.el6rhs.noarch
---> Package glusterfs-api.x86_64 0:3.7.5-19.el6rhs will be erased
--> Processing Dependency: libgfapi.so.0()(64bit) for package: 2:qemu-kvm-0.12.1.2-2.479.el6_7.4.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: 2:qemu-img-0.12.1.2-2.479.el6_7.4.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.2)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.1)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.7.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.7.4)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64
--> Processing Dependency: glusterfs-api for package: 2:qemu-kvm-0.12.1.2-2.479.el6_7.4.x86_64
---> Package glusterfs-cli.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-client-xlators.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-fuse.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-ganesha.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-geo-replication.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-libs.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-rdma.x86_64 0:3.7.5-19.el6rhs will be erased
---> Package glusterfs-server.x86_64 0:3.7.5-19.el6rhs will be erased
--> Processing Dependency: glusterfs-server for package: vdsm-gluster-4.16.30-1.3.el6rhs.noarch
--> Running transaction check
---> Package nfs-ganesha-gluster.x86_64 0:2.2.0-12.el6rhs will be erased
---> Package qemu-img.x86_64 2:0.12.1.2-2.479.el6_7.4 will be erased
---> Package qemu-kvm.x86_64 2:0.12.1.2-2.479.el6_7.4 will be erased
--> Processing Dependency: qemu-kvm >= 2:0.12.1.0 for package: 1:libguestfs-1.20.11-14.el6.x86_64
---> Package redhat-storage-server.noarch 0:3.1.2.0-1.el6rhs will be erased
---> Package samba-vfs-glusterfs.x86_64 0:4.2.4-13.el6rhs will be erased
--> Processing Dependency: samba-vfs-glusterfs = 4.2.4-13.el6rhs for package: samba-4.2.4-13.el6rhs.x86_64
---> Package vdsm.x86_64 0:4.16.30-1.3.el6rhs will be erased
--> Processing Dependency: vdsm = 4.16.30-1.3.el6rhs for package: vdsm-reg-4.16.30-1.3.el6rhs.noarch
---> Package vdsm-gluster.noarch 0:4.16.30-1.3.el6rhs will be erased
--> Running transaction check
---> Package libguestfs.x86_64 1:1.20.11-14.el6 will be erased
--> Processing Dependency: libguestfs.so.0()(64bit) for package: 1:libguestfs-tools-c-1.20.11-14.el6.x86_64
--> Processing Dependency: libguestfs = 1:1.20.11-14.el6 for package: 1:libguestfs-tools-c-1.20.11-14.el6.x86_64
---> Package samba.x86_64 0:4.2.4-13.el6rhs will be erased
---> Package vdsm-reg.noarch 0:4.16.30-1.3.el6rhs will be erased
--> Running transaction check
---> Package libguestfs-tools-c.x86_64 1:1.20.11-14.el6 will be erased
--> Processing Dependency: /usr/bin/qemu-img for package: libvirt-0.10.2-54.el6_7.3.x86_64
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package libvirt.x86_64 0:0.10.2-54.el6_7.3 will be erased
--> Processing Dependency: libvirt = 0.10.2-54.el6_7.3 for package: libvirt-lock-sanlock-0.10.2-54.el6_7.3.x86_64
--> Running transaction check
---> Package libvirt-lock-sanlock.x86_64 0:0.10.2-54.el6_7.3 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                               Arch               Version                                Repository                                                        Size
========================================================================================================================================================================
Removing:
 glusterfs                             x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             1.5 M
 glusterfs-api                         x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             136 k
 glusterfs-cli                         x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             425 k
 glusterfs-client-xlators              x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             3.3 M
 glusterfs-fuse                        x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             309 k
 glusterfs-ganesha                     x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2              52 k
 glusterfs-geo-replication             x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             735 k
 glusterfs-libs                        x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             1.0 M
 glusterfs-rdma                        x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2              87 k
 glusterfs-server                      x86_64             3.7.5-19.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             4.3 M
Removing for dependencies:
 libguestfs                            x86_64             1:1.20.11-14.el6                       @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             8.9 M
 libguestfs-tools-c                    x86_64             1:1.20.11-14.el6                       @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             6.0 M
 libvirt                               x86_64             0.10.2-54.el6_7.3                      @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             5.7 M
 libvirt-lock-sanlock                  x86_64             0.10.2-54.el6_7.3                      @anaconda-InstallationRepo-201602220215.x86_64/3.1u2              93 k
 nfs-ganesha-gluster                   x86_64             2.2.0-12.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2              65 k
 qemu-img                              x86_64             2:0.12.1.2-2.479.el6_7.4               @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             1.1 M
 qemu-kvm                              x86_64             2:0.12.1.2-2.479.el6_7.4               @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             4.6 M
 redhat-storage-server                 noarch             3.1.2.0-1.el6rhs                       @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             2.3 M
 samba                                 x86_64             4.2.4-13.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             1.7 M
 samba-vfs-glusterfs                   x86_64             4.2.4-13.el6rhs                        @anaconda-InstallationRepo-201602220215.x86_64/3.1u2              37 k
 vdsm                                  x86_64             4.16.30-1.3.el6rhs                     @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             3.3 M
 vdsm-gluster                          noarch             4.16.30-1.3.el6rhs                     @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             225 k
 vdsm-reg                              noarch             4.16.30-1.3.el6rhs                     @anaconda-InstallationRepo-201602220215.x86_64/3.1u2             169 k

Transaction Summary
========================================================================================================================================================================
Remove       23 Package(s)

Installed size: 46 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : redhat-storage-server-3.1.2.0-1.el6rhs.noarch                                                                                                       1/23 
  Erasing    : samba-4.2.4-13.el6rhs.x86_64                                                                                                                        2/23 
  Erasing    : samba-vfs-glusterfs-4.2.4-13.el6rhs.x86_64                                                                                                          3/23 
  Erasing    : vdsm-gluster-4.16.30-1.3.el6rhs.noarch                                                                                                              4/23 
  Erasing    : glusterfs-ganesha-3.7.5-19.el6rhs.x86_64                                                                                                            5/23 
  Erasing    : vdsm-reg-4.16.30-1.3.el6rhs.noarch                                                                                                                  6/23 
removed configuration of module certificates successfully
removed configuration of module sanlock successfully
removed configuration of module sebool successfully
removed configuration of module libvirt successfully
  Erasing    : vdsm-4.16.30-1.3.el6rhs.x86_64                                                                                                                      7/23 
warning: /etc/vdsm/vdsm.conf saved as /etc/vdsm/vdsm.conf.rpmsave
  Erasing    : glusterfs-geo-replication-3.7.5-19.el6rhs.x86_64                                                                                                    8/23 
  Erasing    : glusterfs-server-3.7.5-19.el6rhs.x86_64                                                                                                             9/23 
  Erasing    : glusterfs-fuse-3.7.5-19.el6rhs.x86_64                                                                                                              10/23 
  Erasing    : 1:libguestfs-tools-c-1.20.11-14.el6.x86_64                                                                                                         11/23 
  Erasing    : glusterfs-rdma-3.7.5-19.el6rhs.x86_64                                                                                                              12/23 
  Erasing    : nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64                                                                                                         13/23 
  Erasing    : 1:libguestfs-1.20.11-14.el6.x86_64                                                                                                                 14/23 
  Erasing    : glusterfs-cli-3.7.5-19.el6rhs.x86_64                                                                                                               15/23 
  Erasing    : 2:qemu-kvm-0.12.1.2-2.479.el6_7.4.x86_64                                                                                                           16/23 
  Erasing    : libvirt-lock-sanlock-0.10.2-54.el6_7.3.x86_64                                                                                                      17/23 
  Erasing    : libvirt-0.10.2-54.el6_7.3.x86_64                                                                                                                   18/23 
  Erasing    : 2:qemu-img-0.12.1.2-2.479.el6_7.4.x86_64                                                                                                           19/23 
  Erasing    : glusterfs-api-3.7.5-19.el6rhs.x86_64                                                                                                               20/23 
  Erasing    : glusterfs-3.7.5-19.el6rhs.x86_64                                                                                                                   21/23 
  Erasing    : glusterfs-client-xlators-3.7.5-19.el6rhs.x86_64                                                                                                    22/23 
  Erasing    : glusterfs-libs-3.7.5-19.el6rhs.x86_64                                                                                                              23/23 
  Verifying  : vdsm-gluster-4.16.30-1.3.el6rhs.noarch                                                                                                              1/23 
  Verifying  : glusterfs-api-3.7.5-19.el6rhs.x86_64                                                                                                                2/23 
  Verifying  : samba-vfs-glusterfs-4.2.4-13.el6rhs.x86_64                                                                                                          3/23 
  Verifying  : 2:qemu-kvm-0.12.1.2-2.479.el6_7.4.x86_64                                                                                                            4/23 
  Verifying  : 1:libguestfs-tools-c-1.20.11-14.el6.x86_64                                                                                                          5/23 
  Verifying  : vdsm-4.16.30-1.3.el6rhs.x86_64                                                                                                                      6/23 
  Verifying  : nfs-ganesha-gluster-2.2.0-12.el6rhs.x86_64                                                                                                          7/23 
  Verifying  : libvirt-lock-sanlock-0.10.2-54.el6_7.3.x86_64                                                                                                       8/23 
  Verifying  : glusterfs-client-xlators-3.7.5-19.el6rhs.x86_64                                                                                                     9/23 
  Verifying  : 1:libguestfs-1.20.11-14.el6.x86_64                                                                                                                 10/23 
  Verifying  : redhat-storage-server-3.1.2.0-1.el6rhs.noarch                                                                                                      11/23 
  Verifying  : glusterfs-geo-replication-3.7.5-19.el6rhs.x86_64                                                                                                   12/23 
  Verifying  : libvirt-0.10.2-54.el6_7.3.x86_64                                                                                                                   13/23 
  Verifying  : glusterfs-rdma-3.7.5-19.el6rhs.x86_64                                                                                                              14/23 
  Verifying  : samba-4.2.4-13.el6rhs.x86_64                                                                                                                       15/23 
  Verifying  : glusterfs-ganesha-3.7.5-19.el6rhs.x86_64                                                                                                           16/23 
  Verifying  : glusterfs-3.7.5-19.el6rhs.x86_64                                                                                                                   17/23 
  Verifying  : glusterfs-cli-3.7.5-19.el6rhs.x86_64                                                                                                               18/23 
  Verifying  : glusterfs-libs-3.7.5-19.el6rhs.x86_64                                                                                                              19/23 
  Verifying  : glusterfs-server-3.7.5-19.el6rhs.x86_64                                                                                                            20/23 
  Verifying  : vdsm-reg-4.16.30-1.3.el6rhs.noarch                                                                                                                 21/23 
  Verifying  : glusterfs-fuse-3.7.5-19.el6rhs.x86_64                                                                                                              22/23 
  Verifying  : 2:qemu-img-0.12.1.2-2.479.el6_7.4.x86_64                                                                                                           23/23 

Removed:
  glusterfs.x86_64 0:3.7.5-19.el6rhs                            glusterfs-api.x86_64 0:3.7.5-19.el6rhs             glusterfs-cli.x86_64 0:3.7.5-19.el6rhs               
  glusterfs-client-xlators.x86_64 0:3.7.5-19.el6rhs             glusterfs-fuse.x86_64 0:3.7.5-19.el6rhs            glusterfs-ganesha.x86_64 0:3.7.5-19.el6rhs           
  glusterfs-geo-replication.x86_64 0:3.7.5-19.el6rhs            glusterfs-libs.x86_64 0:3.7.5-19.el6rhs            glusterfs-rdma.x86_64 0:3.7.5-19.el6rhs              
  glusterfs-server.x86_64 0:3.7.5-19.el6rhs                    

Dependency Removed:
  libguestfs.x86_64 1:1.20.11-14.el6                        libguestfs-tools-c.x86_64 1:1.20.11-14.el6                libvirt.x86_64 0:0.10.2-54.el6_7.3                
  libvirt-lock-sanlock.x86_64 0:0.10.2-54.el6_7.3           nfs-ganesha-gluster.x86_64 0:2.2.0-12.el6rhs              qemu-img.x86_64 2:0.12.1.2-2.479.el6_7.4          
  qemu-kvm.x86_64 2:0.12.1.2-2.479.el6_7.4                  redhat-storage-server.noarch 0:3.1.2.0-1.el6rhs           samba.x86_64 0:4.2.4-13.el6rhs                    
  samba-vfs-glusterfs.x86_64 0:4.2.4-13.el6rhs              vdsm.x86_64 0:4.16.30-1.3.el6rhs                          vdsm-gluster.noarch 0:4.16.30-1.3.el6rhs          
  vdsm-reg.noarch 0:4.16.30-1.3.el6rhs                     

Complete!




On RHEL 7 based 3.1.2 ISO:

[root@dhcp35-219 boot]# yum remove glusterfs*
Loaded plugins: langpacks, product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.7.5-19.el7rhgs will be erased
--> Processing Dependency: glusterfs >= 3.4.0.16 for package: samba-vfs-glusterfs-4.2.4-13.el7rhgs.x86_64
--> Processing Dependency: glusterfs >= 3.7.1 for package: vdsm-4.16.30-1.3.el7rhgs.x86_64
--> Processing Dependency: glusterfs >= 3.7.1 for package: redhat-storage-server-3.1.2.0-1.el7rhgs.noarch
---> Package glusterfs-api.x86_64 0:3.7.5-19.el7rhgs will be erased
--> Processing Dependency: glusterfs-api >= 3.6.0 for package: 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: 10:qemu-img-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: libvirt-daemon-driver-storage-1.2.17-13.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0()(64bit) for package: 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.0)(64bit) for package: 10:qemu-img-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.0)(64bit) for package: libvirt-daemon-driver-storage-1.2.17-13.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.0)(64bit) for package: 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.4.2)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.0)(64bit) for package: 10:qemu-img-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.0)(64bit) for package: 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.5.1)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.7.0)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
--> Processing Dependency: libgfapi.so.0(GFAPI_3.7.4)(64bit) for package: nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64
---> Package glusterfs-cli.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-client-xlators.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-fuse.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-ganesha.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-geo-replication.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-libs.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-rdma.x86_64 0:3.7.5-19.el7rhgs will be erased
---> Package glusterfs-server.x86_64 0:3.7.5-19.el7rhgs will be erased
--> Processing Dependency: glusterfs-server for package: vdsm-gluster-4.16.30-1.3.el7rhgs.noarch
--> Running transaction check
---> Package libvirt-daemon-driver-storage.x86_64 0:1.2.17-13.el7_2.3 will be erased
--> Processing Dependency: libvirt-daemon-driver-storage = 1.2.17-13.el7_2.3 for package: libvirt-daemon-kvm-1.2.17-13.el7_2.3.x86_64
---> Package nfs-ganesha-gluster.x86_64 0:2.2.0-12.el7rhgs will be erased
---> Package qemu-img.x86_64 10:1.5.3-105.el7_2.3 will be erased
---> Package qemu-kvm.x86_64 10:1.5.3-105.el7_2.3 will be erased
---> Package redhat-storage-server.noarch 0:3.1.2.0-1.el7rhgs will be erased
---> Package samba-vfs-glusterfs.x86_64 0:4.2.4-13.el7rhgs will be erased
--> Processing Dependency: samba-vfs-glusterfs = 4.2.4-13.el7rhgs for package: samba-4.2.4-13.el7rhgs.x86_64
---> Package vdsm.x86_64 0:4.16.30-1.3.el7rhgs will be erased
--> Processing Dependency: vdsm = 4.16.30-1.3.el7rhgs for package: vdsm-reg-4.16.30-1.3.el7rhgs.noarch
---> Package vdsm-gluster.noarch 0:4.16.30-1.3.el7rhgs will be erased
--> Running transaction check
---> Package libvirt-daemon-kvm.x86_64 0:1.2.17-13.el7_2.3 will be erased
--> Processing Dependency: libvirt-daemon-kvm >= 1.2.8-3 for package: 1:libguestfs-1.28.1-1.55.el7.x86_64
---> Package samba.x86_64 0:4.2.4-13.el7rhgs will be erased
---> Package vdsm-reg.noarch 0:4.16.30-1.3.el7rhgs will be erased
--> Running transaction check
---> Package libguestfs.x86_64 1:1.28.1-1.55.el7 will be erased
--> Processing Dependency: libguestfs = 1:1.28.1-1.55.el7 for package: 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64
--> Processing Dependency: libguestfs.so.0()(64bit) for package: 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64
--> Running transaction check
---> Package libguestfs-tools-c.x86_64 1:1.28.1-1.55.el7 will be erased
--> Processing Dependency: /usr/bin/qemu-img for package: libvirt-daemon-driver-qemu-1.2.17-13.el7_2.3.x86_64
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
---> Package libvirt-daemon-driver-qemu.x86_64 0:1.2.17-13.el7_2.3 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                                            Arch                        Version                                      Repository                            Size
========================================================================================================================================================================
Removing:
 glusterfs                                          x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      1.6 M
 glusterfs-api                                      x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      141 k
 glusterfs-cli                                      x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      431 k
 glusterfs-client-xlators                           x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      3.4 M
 glusterfs-fuse                                     x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      314 k
 glusterfs-ganesha                                  x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                       52 k
 glusterfs-geo-replication                          x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      735 k
 glusterfs-libs                                     x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      1.1 M
 glusterfs-rdma                                     x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                       93 k
 glusterfs-server                                   x86_64                      3.7.5-19.el7rhgs                             @anaconda/3.1.2                      4.4 M
Removing for dependencies:
 libguestfs                                         x86_64                      1:1.28.1-1.55.el7                            @anaconda/3.1.2                      3.2 M
 libguestfs-tools-c                                 x86_64                      1:1.28.1-1.55.el7                            @anaconda/3.1.2                       11 M
 libvirt-daemon-driver-qemu                         x86_64                      1.2.17-13.el7_2.3                            @anaconda/3.1.2                      1.3 M
 libvirt-daemon-driver-storage                      x86_64                      1.2.17-13.el7_2.3                            @anaconda/3.1.2                      549 k
 libvirt-daemon-kvm                                 x86_64                      1.2.17-13.el7_2.3                            @anaconda/3.1.2                      0.0  
 nfs-ganesha-gluster                                x86_64                      2.2.0-12.el7rhgs                             @anaconda/3.1.2                       66 k
 qemu-img                                           x86_64                      10:1.5.3-105.el7_2.3                         @anaconda/3.1.2                      2.2 M
 qemu-kvm                                           x86_64                      10:1.5.3-105.el7_2.3                         @anaconda/3.1.2                      5.6 M
 redhat-storage-server                              noarch                      3.1.2.0-1.el7rhgs                            @anaconda/3.1.2                      2.2 M
 samba                                              x86_64                      4.2.4-13.el7rhgs                             @anaconda/3.1.2                      1.8 M
 samba-vfs-glusterfs                                x86_64                      4.2.4-13.el7rhgs                             @anaconda/3.1.2                       38 k
 vdsm                                               x86_64                      4.16.30-1.3.el7rhgs                          @anaconda/3.1.2                      3.3 M
 vdsm-gluster                                       noarch                      4.16.30-1.3.el7rhgs                          @anaconda/3.1.2                      224 k
 vdsm-reg                                           noarch                      4.16.30-1.3.el7rhgs                          @anaconda/3.1.2                      169 k

Transaction Summary
========================================================================================================================================================================
Remove  10 Packages (+14 Dependent packages)

Installed size: 44 M
Is this ok [y/N]: y
Downloading packages:
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Erasing    : redhat-storage-server-3.1.2.0-1.el7rhgs.noarch                                                                                                      1/24 
  Erasing    : vdsm-gluster-4.16.30-1.3.el7rhgs.noarch                                                                                                             2/24 
  Erasing    : glusterfs-ganesha-3.7.5-19.el7rhgs.x86_64                                                                                                           3/24 
  Erasing    : vdsm-reg-4.16.30-1.3.el7rhgs.noarch                                                                                                                 4/24 
  Erasing    : samba-vfs-glusterfs-4.2.4-13.el7rhgs.x86_64                                                                                                         5/24 
  Erasing    : samba-4.2.4-13.el7rhgs.x86_64                                                                                                                       6/24 
removed configuration of module certificates successfully
removed configuration of module sanlock successfully
removed configuration of module sebool successfully
removed configuration of module libvirt successfully
  Erasing    : vdsm-4.16.30-1.3.el7rhgs.x86_64                                                                                                                     7/24 
warning: /etc/vdsm/vdsm.conf saved as /etc/vdsm/vdsm.conf.rpmsave
  Erasing    : glusterfs-geo-replication-3.7.5-19.el7rhgs.x86_64                                                                                                   8/24 
Removed symlink /etc/systemd/system/multi-user.target.wants/glusterd.service.
  Erasing    : glusterfs-server-3.7.5-19.el7rhgs.x86_64                                                                                                            9/24 
success
  Erasing    : glusterfs-fuse-3.7.5-19.el7rhgs.x86_64                                                                                                             10/24 
  Erasing    : glusterfs-rdma-3.7.5-19.el7rhgs.x86_64                                                                                                             11/24 
  Erasing    : nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64                                                                                                        12/24 
  Erasing    : 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64                                                                                                        13/24 
  Erasing    : 1:libguestfs-1.28.1-1.55.el7.x86_64                                                                                                                14/24 
  Erasing    : libvirt-daemon-kvm-1.2.17-13.el7_2.3.x86_64                                                                                                        15/24 
  Erasing    : libvirt-daemon-driver-storage-1.2.17-13.el7_2.3.x86_64                                                                                             16/24 
  Erasing    : 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64                                                                                                               17/24 
  Erasing    : libvirt-daemon-driver-qemu-1.2.17-13.el7_2.3.x86_64                                                                                                18/24 
  Erasing    : 10:qemu-img-1.5.3-105.el7_2.3.x86_64                                                                                                               19/24 
  Erasing    : glusterfs-api-3.7.5-19.el7rhgs.x86_64                                                                                                              20/24 
  Erasing    : glusterfs-3.7.5-19.el7rhgs.x86_64                                                                                                                  21/24 
  Erasing    : glusterfs-client-xlators-3.7.5-19.el7rhgs.x86_64                                                                                                   22/24 
  Erasing    : glusterfs-cli-3.7.5-19.el7rhgs.x86_64                                                                                                              23/24 
  Erasing    : glusterfs-libs-3.7.5-19.el7rhgs.x86_64                                                                                                             24/24 
  Verifying  : 10:qemu-kvm-1.5.3-105.el7_2.3.x86_64                                                                                                                1/24 
  Verifying  : 1:libguestfs-tools-c-1.28.1-1.55.el7.x86_64                                                                                                         2/24 
  Verifying  : 1:libguestfs-1.28.1-1.55.el7.x86_64                                                                                                                 3/24 
  Verifying  : libvirt-daemon-driver-storage-1.2.17-13.el7_2.3.x86_64                                                                                              4/24 
  Verifying  : redhat-storage-server-3.1.2.0-1.el7rhgs.noarch                                                                                                      5/24 
  Verifying  : glusterfs-geo-replication-3.7.5-19.el7rhgs.x86_64                                                                                                   6/24 
  Verifying  : glusterfs-client-xlators-3.7.5-19.el7rhgs.x86_64                                                                                                    7/24 
  Verifying  : libvirt-daemon-driver-qemu-1.2.17-13.el7_2.3.x86_64                                                                                                 8/24 
  Verifying  : samba-4.2.4-13.el7rhgs.x86_64                                                                                                                       9/24 
  Verifying  : vdsm-reg-4.16.30-1.3.el7rhgs.noarch                                                                                                                10/24 
  Verifying  : vdsm-4.16.30-1.3.el7rhgs.x86_64                                                                                                                    11/24 
  Verifying  : glusterfs-rdma-3.7.5-19.el7rhgs.x86_64                                                                                                             12/24 
  Verifying  : glusterfs-cli-3.7.5-19.el7rhgs.x86_64                                                                                                              13/24 
  Verifying  : glusterfs-ganesha-3.7.5-19.el7rhgs.x86_64                                                                                                          14/24 
  Verifying  : glusterfs-3.7.5-19.el7rhgs.x86_64                                                                                                                  15/24 
  Verifying  : vdsm-gluster-4.16.30-1.3.el7rhgs.noarch                                                                                                            16/24 
  Verifying  : libvirt-daemon-kvm-1.2.17-13.el7_2.3.x86_64                                                                                                        17/24 
  Verifying  : glusterfs-libs-3.7.5-19.el7rhgs.x86_64                                                                                                             18/24 
  Verifying  : glusterfs-server-3.7.5-19.el7rhgs.x86_64                                                                                                           19/24 
  Verifying  : glusterfs-fuse-3.7.5-19.el7rhgs.x86_64                                                                                                             20/24 
  Verifying  : glusterfs-api-3.7.5-19.el7rhgs.x86_64                                                                                                              21/24 
  Verifying  : samba-vfs-glusterfs-4.2.4-13.el7rhgs.x86_64                                                                                                        22/24 
  Verifying  : nfs-ganesha-gluster-2.2.0-12.el7rhgs.x86_64                                                                                                        23/24 
  Verifying  : 10:qemu-img-1.5.3-105.el7_2.3.x86_64                                                                                                               24/24 

Removed:
  glusterfs.x86_64 0:3.7.5-19.el7rhgs                           glusterfs-api.x86_64 0:3.7.5-19.el7rhgs            glusterfs-cli.x86_64 0:3.7.5-19.el7rhgs              
  glusterfs-client-xlators.x86_64 0:3.7.5-19.el7rhgs            glusterfs-fuse.x86_64 0:3.7.5-19.el7rhgs           glusterfs-ganesha.x86_64 0:3.7.5-19.el7rhgs          
  glusterfs-geo-replication.x86_64 0:3.7.5-19.el7rhgs           glusterfs-libs.x86_64 0:3.7.5-19.el7rhgs           glusterfs-rdma.x86_64 0:3.7.5-19.el7rhgs             
  glusterfs-server.x86_64 0:3.7.5-19.el7rhgs                   

Dependency Removed:
  libguestfs.x86_64 1:1.28.1-1.55.el7                         libguestfs-tools-c.x86_64 1:1.28.1-1.55.el7      libvirt-daemon-driver-qemu.x86_64 0:1.2.17-13.el7_2.3   
  libvirt-daemon-driver-storage.x86_64 0:1.2.17-13.el7_2.3    libvirt-daemon-kvm.x86_64 0:1.2.17-13.el7_2.3    nfs-ganesha-gluster.x86_64 0:2.2.0-12.el7rhgs           
  qemu-img.x86_64 10:1.5.3-105.el7_2.3                        qemu-kvm.x86_64 10:1.5.3-105.el7_2.3             redhat-storage-server.noarch 0:3.1.2.0-1.el7rhgs        
  samba.x86_64 0:4.2.4-13.el7rhgs                             samba-vfs-glusterfs.x86_64 0:4.2.4-13.el7rhgs    vdsm.x86_64 0:4.16.30-1.3.el7rhgs                       
  vdsm-gluster.noarch 0:4.16.30-1.3.el7rhgs                   vdsm-reg.noarch 0:4.16.30-1.3.el7rhgs           

Complete!


3. Observe that after the completion of removal of rpm's, few directories as mentioned below are left behind under /var/lib/glusterd on both RHEL 6 and RHEL 7 based ISO.

[root@dhcp35-17 glusterd]# pwd
/var/lib/glusterd
[root@dhcp35-17 glusterd]# ls -l
total 20
drwxr-xr-x. 2 root root 4096 Feb 23 13:13 bitd
drwxr-xr-x. 2 root root 4096 Feb 23 13:13 quotad
drwxr-xr-x. 2 root root 4096 Feb 23 13:13 scrub
drwxr-xr-x. 2 root root 4096 Feb 23 13:13 snaps
drwxr-xr-x. 2 root root 4096 Feb 23 13:13 ss_brick

and all these directories are empty.

[root@dhcp35-17 glusterd]# cd bitd/
[root@dhcp35-17 bitd]# ls
[root@dhcp35-17 bitd]# cd ..
[root@dhcp35-17 glusterd]# cd quotad/
[root@dhcp35-17 quotad]# ls
[root@dhcp35-17 quotad]# cd ..
[root@dhcp35-17 glusterd]# cd scrub/
[root@dhcp35-17 scrub]# ls
[root@dhcp35-17 scrub]# cd ..
[root@dhcp35-17 glusterd]# cd snaps/
[root@dhcp35-17 snaps]# ls
[root@dhcp35-17 snaps]# cd ..
[root@dhcp35-17 glusterd]# cd ss_brick/
[root@dhcp35-17 ss_brick]# ls
[root@dhcp35-17 ss_brick]# cd ..
[root@dhcp35-17 glusterd]# 


Actual results:


Expected results:
All the directories should be removed from /var/lib/glusterd/ after removal of glusterfs packages.

Additional info:
Attaching /var/log/messages from both the RHGS nodes.
Comment 1 Shashank Raj 2016-02-23 08:04 EST
Created attachment 1129756 [details]
RHEL7_logs
Comment 3 SATHEESARAN 2016-02-23 12:05:13 EST
The reason being these directories ( bitd, quotad, snaps, ss_brick, scrub ) are not owned by any package

[root@ ~]# rpm -qf /var/lib/glusterd/bitd
file /var/lib/glusterd/bitd is not owned by any package

[root@ ~]# rpm -qf /var/lib/glusterd/scrub
file /var/lib/glusterd/scrub is not owned by any package

[root@ ~]# rpm -qf /var/lib/glusterd/quotad
file /var/lib/glusterd/quotad is not owned by any package

[root@ ~]# rpm -qf /var/lib/glusterd/snaps
file /var/lib/glusterd/snaps is not owned by any package

[root@ ~]# rpm -qf /var/lib/glusterd/ss_brick
file /var/lib/glusterd/ss_brick is not owned by any package
Comment 4 Rejy M Cyriac 2016-02-23 13:09:42 EST
(In reply to SATHEESARAN from comment #3)
> The reason being these directories ( bitd, quotad, snaps, ss_brick, scrub )
> are not owned by any package
> 
> [root@ ~]# rpm -qf /var/lib/glusterd/bitd
> file /var/lib/glusterd/bitd is not owned by any package
> 
> [root@ ~]# rpm -qf /var/lib/glusterd/scrub
> file /var/lib/glusterd/scrub is not owned by any package
> 
> [root@ ~]# rpm -qf /var/lib/glusterd/quotad
> file /var/lib/glusterd/quotad is not owned by any package
> 
> [root@ ~]# rpm -qf /var/lib/glusterd/snaps
> file /var/lib/glusterd/snaps is not owned by any package
> 
> [root@ ~]# rpm -qf /var/lib/glusterd/ss_brick
> file /var/lib/glusterd/ss_brick is not owned by any package

Thanks for the update Satheesaran

these are probably dynamically (runtime) created directories post the installation of the glusterfs packages, and so are not removed during the package removal process

Do we close this as not a bug, as it seems to be expected behaviour ? Or do we have plans to change the behaviour in a future release ?
Comment 5 SATHEESARAN 2016-03-09 11:38:39 EST
(In reply to Rejy M Cyriac from comment #4)
> (In reply to SATHEESARAN from comment #3)
> > The reason being these directories ( bitd, quotad, snaps, ss_brick, scrub )
> > are not owned by any package
> > 
> > [root@ ~]# rpm -qf /var/lib/glusterd/bitd
> > file /var/lib/glusterd/bitd is not owned by any package
> > 
> > [root@ ~]# rpm -qf /var/lib/glusterd/scrub
> > file /var/lib/glusterd/scrub is not owned by any package
> > 
> > [root@ ~]# rpm -qf /var/lib/glusterd/quotad
> > file /var/lib/glusterd/quotad is not owned by any package
> > 
> > [root@ ~]# rpm -qf /var/lib/glusterd/snaps
> > file /var/lib/glusterd/snaps is not owned by any package
> > 
> > [root@ ~]# rpm -qf /var/lib/glusterd/ss_brick
> > file /var/lib/glusterd/ss_brick is not owned by any package
> 
> Thanks for the update Satheesaran
> 
> these are probably dynamically (runtime) created directories post the
> installation of the glusterfs packages, and so are not removed during the
> package removal process
> 
> Do we close this as not a bug, as it seems to be expected behaviour ? Or do
> we have plans to change the behaviour in a future release ?

This seems to be a expected behaviour and as I understand from Atin/Milind there are no plans to fix it.

Closing the bug accordingly

Note You need to log in before you can comment on or make changes to this bug.